<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package yoga_kriya
 */

?>
<?php
	/**
	 * Hook - yoga_kriya_action_doctype.
	 *
	 * @hooked yoga_kriya_doctype -  10
	 */
	do_action( 'yoga_kriya_action_doctype' );
?>
<head>
	<?php
	/**
	 * Hook - yoga_kriya_action_head.
	 *
	 * @hooked yoga_kriya_head -  10
	 */
	do_action( 'yoga_kriya_action_head' );
	?>

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

	<?php do_action( 'wp_body_open' ); ?>

	<?php 
	$show_preloader = yoga_kriya_get_option( 'show_preloader_setting' );
        if ( true === $show_preloader ) : ?>
			<div id="preloader" class="loader-head">
				<div class="preloader">
				    <div class="spinner"></div>
				    <div class="spinner-2"></div>
				</div>
			</div>
	<?php endif; ?>

	<?php
	/**
	 * Hook - yoga_kriya_action_before.
	 *
	 * @hooked yoga_kriya_page_start - 10
	 * @hooked yoga_kriya_skip_to_content - 15
	 */
	do_action( 'yoga_kriya_action_before' );
	?>

    <?php
	  /**
	   * Hook - yoga_kriya_action_before_header.
	   *
	   * @hooked yoga_kriya_header_start - 10
	   */
	  do_action( 'yoga_kriya_action_before_header' );
	?>
		<?php
		/**
		 * Hook - yoga_kriya_action_header.
		 *
		 * @hooked yoga_kriya_site_branding - 10
		 */
		do_action( 'yoga_kriya_action_header' );
		?>
    <?php
	  /**
	   * Hook - yoga_kriya_action_after_header.
	   *
	   * @hooked yoga_kriya_header_end - 10
	   */
	  do_action( 'yoga_kriya_action_after_header' );
	?>

	<?php
	/**
	 * Hook - yoga_kriya_action_before_content.
	 *
	 * @hooked yoga_kriya_content_start - 10
	 */
	do_action( 'yoga_kriya_action_before_content' );
	?>

	<!-- <?php
	  /**
	   * Hook - yoga_kriya_action_content.
	   */
	  do_action( 'yoga_kriya_action_content' );
	?> -->

